import { ValueType, IComparable$1, Type } from "igniteui-webcomponents-core";
import { NamedReference } from "igniteui-webcomponents-excel";
import { WorksheetRegionAddress } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class Spreadsheet_SimpleNamedReference extends ValueType implements IComparable$1<Spreadsheet_SimpleNamedReference> {
    static $t: Type;
    constructor(a: number, b: NamedReference, c: WorksheetRegionAddress);
    constructor();
    constructor(a: number, ..._rest: any[]);
    readonly _a: NamedReference;
    readonly _b: WorksheetRegionAddress;
    compareTo(a: Spreadsheet_SimpleNamedReference): number;
}
